Subject: Re: [WIP PATCH] [WIP] Reference original packages in grafted packages.

From: David Elsing <[email-masked]>
Date: Tue, 07 Jan 2025 20:01:48 +0000

> This addresses https://issues.guix.gnu.org/54495. Would something like
> this be acceptable? In my opinion, it would make garbage collector
> roots much more useful in the presence of grafts.

I think using the '--gc-keep-outputs' and '--gc-keep-derivations'
options with guix-daemon [1] are good enough, even if they keep all
build inputs.

[1] https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix_002ddaemon.html